You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     lin...@gmail.com
Last committer: sunp...@freebsd.org
Ident:          $FreeBSD: head/www/node010/Makefile 403059 2015-12-05 12:12:14Z 
sunpoet $
Log URL:        
http://beefy3.nyi.freebsd.org/data/head-i386-default/p412792_s297729/logs/node010-0.10.40.log
Build URL:      
http://beefy3.nyi.freebsd.org/build.html?mastername=head-i386-default&build=p412792_s297729
Log:

====>> Building www/node010
build started at Sun Apr 10 13:39:16 UTC 2016
port directory: /usr/ports/www/node010
building for: FreeBSD head-i386-default-job-24 11.0-CURRENT FreeBSD 
11.0-CURRENT r297729 i386
maintained by: lin...@gmail.com
Makefile ident:      $FreeBSD: head/www/node010/Makefile 403059 2015-12-05 
12:12:14Z sunpoet $
Poudriere version: 3.1.12
Host OSVERSION: 1100102
Jail OSVERSION: 1100105




!!! Jail is newer than host. (Jail: 1100105, Host: 1100102) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
UNAME_v=FreeBSD 11.0-CURRENT r297729
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=i386
LINUX_OSRELEASE=2.6.32
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/head-i386-default/ref
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=node010-0.10.40
OSREL=11.0
_OSRELEASE=11.0-CURRENT
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=24
PWD=/usr/local/poudriere/data/.m/head-i386-default/ref/.p/pool
MASTERNAME=head-i386-default
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.12
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1100105
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
--prefix=/usr/local --without-npm --shared-zlib
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake PYTHON="/usr/local/bin/python2.7" 
XDG_DATA_HOME=/wrkdirs/usr/ports/www/node010/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/www/node010/work  
HOME=/wrkdirs/usr/ports/www/node010/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
CC.host=cc CXX.host=c++ LINK.host=c++ LINK.target=c++ LINK=clang++ 
XDG_DATA_HOME=/wrkdirs/usr/ports/www/node010/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/www/node010/work  
HOME=/wrkdirs/usr/ports/www/node010/work TMPDIR="/tmp" NO_PIE=yes 
WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -Wno-unused-private-field -Wno-nested-anon-types -Wno-unused-function 
-Wno-unused-const-variable -fstack-protector -fno-strict-aliasing"  CPP="cpp" 
CPPFLAGS=""  LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 
-pipe -Wno-unused-private-field -Wno-nested-anon-types -Wno-unused-function 
-Wno-unused-const-variable -fstack-protector -fno-strict-aliasing "  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  
BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 555"  
BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PYTHON_INCLUDEDIR=include/python2.7
PYTHON_LIBDIR=lib/python2.7
PYTHON_PLATFORM=freebsd11
PYTHON_SITELIBDIR=lib/python2.7/site-packages
PYTHON_VER=2.7
PYTHON_VERSION=python2.7
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/node"
EXAMPLESDIR="share/examples/node"
DATADIR="share/node"
WWWDIR="www/node"
ETCDIR="etc/node"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/node
DOCSDIR=/usr/local/share/doc/node
EXAMPLESDIR=/usr/local/share/examples/node
WWWDIR=/usr/local/www/node
ETCDIR=/usr/local/etc/node
--End SUB_LIST--

---Begin make.conf---
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License MIT accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   node010-0.10.40 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.7.2.txz
[head-i386-default-job-24] Installing pkg-1.7.2...
[head-i386-default-job-24] Extracting pkg-1.7.2: .......... done
===>   node010-0.10.40 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of node010-0.10.40
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by node010-0.10.40 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by node010-0.10.40 for building
=> SHA256 Checksum OK for node-v0.10.40.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License MIT accepted by the user
===> Fetching all distfiles required by node010-0.10.40 for building
===>  Extracting for node010-0.10.40
=> SHA256 Checksum OK for node-v0.10.40.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for node010-0.10.40
===>  Applying FreeBSD patches for node010-0.10.40
===========================================================================
=======================<phase: build-depends  >============================
===>   node010-0.10.40 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.1_2.txz
[head-i386-default-job-24] Installing gmake-4.1_2...
[head-i386-default-job-24] `-- Installing indexinfo-0.2.4...
[head-i386-default-job-24] `-- Extracting indexinfo-0.2.4: .... done
[head-i386-default-job-24] `-- Installing gettext-runtime-0.19.7...
[head-i386-default-job-24] `-- Extracting gettext-runtime-0.19.7: .......... 
done
[head-i386-default-job-24] Extracting gmake-4.1_2: .......... done
===>   node010-0.10.40 depends on executable: gmake - found
===>   Returning to build of node010-0.10.40
===>   node010-0.10.40 depends on file: /usr/local/bin/python2.7 - not found
===>   Installing existing package /packages/All/python27-2.7.11_1.txz
[head-i386-default-job-24] Installing python27-2.7.11_1...
[head-i386-default-job-24] `-- Installing libffi-3.2.1...
[head-i386-default-job-24] `-- Extracting libffi-3.2.1: .......... done
[head-i386-default-job-24] `-- Installing readline-6.3.8...
[head-i386-default-job-24] `-- Extracting readline-6.3.8: .......... done
[head-i386-default-job-24] Extracting python27-2.7.11_1: .......... done
Message from python27-2.7.11_1:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
===>   node010-0.10.40 depends on file: /usr/local/bin/python2.7 - found
===>   Returning to build of node010-0.10.40
===>   node010-0.10.40 depends on executable: python2 - not found
===>   Installing existing package /packages/All/python2-2_3.txz
[head-i386-default-job-24] Installing python2-2_3...
[head-i386-default-job-24] Extracting python2-2_3: ...... done
===>   node010-0.10.40 depends on executable: python2 - found
===>   Returning to build of node010-0.10.40
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for node010-0.10.40
echo: write error on stdout
gyp: Call to '(echo | $(echo ${CXX_host:-$(which g++)}) -m32 -E - > /dev/null 
2>&1) && echo "-m32" || true' returned exit status 0. while loading 
dependencies of /wrkdirs/usr/ports/www/node010/work/node-v0.10.40/node.gyp 
while trying to load /wrkdirs/usr/ports/www/node010/work/node-v0.10.40/node.gyp
Error running GYP
{ 'target_defaults': { 'cflags': [],
                       'default_configuration': 'Release',
                       'defines': [],
                       'include_dirs': [],
                       'libraries': ['-lz']},
  'variables': { 'clang': 1,
                 'host_arch': 'ia32',
                 'node_install_npm': 'false',
                 'node_prefix': '/usr/local',
                 'node_shared_cares': 'false',
                 'node_shared_http_parser': 'false',
                 'node_shared_libuv': 'false',
                 'node_shared_openssl': 'false',
                 'node_shared_v8': 'false',
                 'node_shared_zlib': 'true',
                 'node_tag': '',
                 'node_unsafe_optimizations': 0,
                 'node_use_dtrace': 'false',
                 'node_use_etw': 'false',
                 'node_use_openssl': 'true',
                 'node_use_perfctr': 'false',
                 'openssl_no_asm': 0,
                 'python': '/usr/local/bin/python2.7',
                 'target_arch': 'ia32',
                 'v8_enable_gdbjit': 0,
                 'v8_no_strict_aliasing': 1,
                 'v8_use_snapshot': 'true',
                 'want_separate_host_toolset': 0}}
creating  ./config.gypi
creating  ./config.mk
===>  Script "configure" failed unexpectedly.
Please report the problem to lin...@gmail.com [maintainer] and attach the
"/wrkdirs/usr/ports/www/node010/work/node-v0.10.40/config.log" including the
output of the failure of your make command. Also, it might be a good idea to
provide an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /usr/ports/www/node010
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to